/*
 *  point3d.h
 *  Carbon OpenGL
 *
 *  Created by Nathan Sturtevant on Wed Mar 24 2004.
 *  Copyright (c) 2004 NS Software. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>
#include <OpenGL/gl.h>

#ifndef POINT3D_H
#define POINT3D_H

#include "vector3d.h"

class point3d {
public:
  point3d() {}
  point3d(GLfloat a, GLfloat b, GLfloat c);
  vector3d getVector(point3d v);
	double getDistance(point3d v);
	GLfloat x, y, z;
};

#endif