/*
 *  vector3d.h
 *  Carbon OpenGL
 *
 *  Created by Nathan Sturtevant on Wed Mar 24 2004.
 *  Copyright (c) 2004 NS Software. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>
#include <OpenGL/gl.h>

#ifndef VECTOR3D_H
#define VECTOR3D_H

class vector3d {
public:
  vector3d() {}
  vector3d(GLfloat a, GLfloat b, GLfloat c);
  void normalize();
  vector3d crossProduct(vector3d v);
	float length();
	float squaredLength();
	GLfloat x, y, z;
};

#endif